#!/bin/sh

# Setting
# mounted directory : $MOUNTDIR/$PREFIX1 ~ $PREFIX$MAXNUM (ex /usb/usb1 ~ /usb/usb10)
ENABLE=1
DEBUG_MESSAGE=0
MOUNTBASEDIR=/dtv/usb
ACL_PROGRAMDIR=/mtd_boot/usb_mount
RFS_PROGRAMDIR=/sbin/usb_mount
MOUNTPROGRAM=usb_mount
CMDPROGRAM=usb_cmd

# Program Directory setting
if [ -f $ACL_PROGRAMDIR/$MOUNTPROGRAM ]; then
        PROGRAMDIR=$ACL_PROGRAMDIR
else
        PROGRAMDIR=$RFS_PROGRAMDIR
fi

LOCKFILE=$MOUNTBASEDIR/lock
ACTION=coldplug

# DEBUG MESSAGE
DEBUG_MESSAGE_FILE=/dtv/usb_message

	if [ $DEBUG_MESSAGE = "1" ]; then
		echo "USB Coldplug Message : \"$ACTION\" \"$DEVPATH\" \"$PRODUCT\" \"$INTERFACE\" \"$TYPE\"" >> $DEBUG_MESSAGE_FILE
	fi

# ENABLE Checking
if [ $ENABLE = "1" ]
then

DEVICE=`echo $DEVPATH | sed 's/^\/[^\/]*\///g' | sed 's/\/.*//g'`
PARTITION=`echo $DEVPATH | sed 's/^\/[^\/]*\///g' | sed 's/^[^\/]*\///g'`
 
	if [ $DEBUG_MESSAGE = "1" ]; then
		echo "$PROGRAMDIR/$CMDPROGRAM $ACTION $DEVICE $PARTITION" >> $DEBUG_MESSAGE_FILE
	fi

$PROGRAMDIR/$CMDPROGRAM $ACTION cold plug

if [ ! -f $LOCKFILE ]; then									# UNLOCKED
#		echo "file not exist!!" >> $DEBUG_MESSAGE_FILE
	mkdir -p $MOUNTBASEDIR
	touch $LOCKFILE									# MAKE Lock!! -> LOCKED
	$PROGRAMDIR/$MOUNTPROGRAM						# Run MountProgram
#	else
#		echo "file exist!!" >> $DEBUG_MESSAGE_FILE
	fi
fi
